org.apache.ignite.internal.client.marshaller

## Interface GridClientMarshaller

All Known Implementing Classes:
  GridClientJdkMarshaller, GridClientOptimizedMarshaller, GridClientZipOptimizedMarshaller

    public interface GridClientMarshaller

Marshaller for binary protocol messages.

### Method Summary

Methods
`ByteBuffer` `marshal(Object obj, int off)` Marshals object to byte array.
`<T> T` `unmarshal(byte[] bytes)` Unmarshals object from byte array.

### Method Detail

#### marshal

    ByteBuffer marshal(Object obj,
                     int off)
                       throws IOException

Marshals object to byte array.

Parameters:
  `obj` - Object to marshal.
  `off` - Start offset.
Returns:
  Byte buffer.
Throws:
  `IOException` - If marshalling failed.

#### unmarshal

    <T> T unmarshal(byte[] bytes)
                throws IOException

Unmarshals object from byte array.

Parameters:
  `bytes` - Byte array.
Returns:
  Unmarshalled object.
Throws:
  `IOException` - If unmarshalling failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017